Subject: Re: bug#12331: 24.1; completing-read when COLLECTION has exactly one element

From: Stefan Monnier <[email-masked]>
Date: Mon, 03 Sep 2012 09:42:34 -0400

> chosen it deliberately. If nonethless we ask the user what he or she
> wants even though there is only one choice available, it much
> reminds of one of my least favorite operating systems.

The motivation sounds good, but the minibuffer prompt always offers one
more choice, i.e. C-g.  So accepting the only choice without prompting
might end up being a bit too eager in some cases.

> But maybe such a scenario is all in all not too common in the world
> of Emacs to justify a modification of completing-read.

I think so, yes.  So I suggest you look for callers where that could be
used, and if they are common enough, we could consider adding a special
value of `require-match' which would allow such a short-circuiting.

        Stefan